
main {
    display: flex;
    align-items: center;
    flex-direction: column;
}
.h2 {
    text-align: center;
    color: var(--light-color);
    text-shadow: 2px 2px 2px black;
    font-size: 2rem;
}

.uppgifter-grid-container {
    display: grid;
    gap: 30px;
    margin: 20px 10px 20px 10px;
    grid-template-columns: repeat(2, max-content);
    align-items: start;
}
/*
.uppgifter-grid-container {
    display: flex;
    gap: 30px;
    margin: 20px 10px 20px 10px;
    column-count: 2;
    align-items: start;
    flex-direction: column;
}*/

.uppgifter-grid-item {
    width: 280px;
    min-height: 120px;
    background-color: var(--primary-color);
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}
.uppgifter-grid-item h2{
    color: var(--light-color);
    font-size: 1.8em;
}
.grid-h2-wrapper {
    width: 100%;
    height: 120px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background-color: rgb(239, 179, 50);*/
    border-radius: 20px;
}
.uppgifter-grid-item::after {
    position: absolute;
    bottom: -8px;
    left: 0;
    content: "";
    display: block;
    background-color: var(--secondary-color);
    width: 280px;
    height: 120px;
    z-index: -1;
    border-radius: 20px;
    transition: bottom 0.2s ease;
}
.uppgifter-grid-item:hover::after{
    bottom: -13px;
}
.uppgifter-grid-item-content {
    display: flex;
    overflow: hidden;
    flex-direction: column;
    background-color: var(--secondary-color);
    width: 280px;
    height: 0px;
    z-index: 1;
    border-radius: 20px;
    transition: height 0.3s ease;
    justify-content: center;
    align-items: center;
}
.uppgifter-grid-item-content a h3{
    color: var(--light-color);
    font-size: 1.5em;
    text-align: center;
    transition: color 0.1s ease;
}
.uppgifter-grid-item-content a h3:hover{
    color: var(--details-color);
}
.uppgifter-grid-item-content a {
    text-decoration: none;
}
.content-open {
    height: 100px;
}
/*.item-open {
    height: auto;
    min-height: 140px;
}*/

@media (max-width: 600px) {
    .uppgifter-grid-container {
        grid-template-columns: repeat(1, max-content);
    }
}